﻿$ErrorActionPreference = 'Stop'; 
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://commanderinstall.fleetdeck.io/fleetdeck-commander-20211107194223.exe'

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url
  softwareName  = 'FleetDeck Commander*'
  checksum      = '81a22650b2f667a06a26b8f6c6b949fa61c568171dc24a36b03ddc17113fbc99'
  checksumType  = 'sha256'
  silentArgs    = "-silent"
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
